Page MenuHomeFreeBSD

Update KDE to 4.14.3
ClosedPublic

Authored by alonso on Feb 23 2015, 4:14 PM.

Details

Reviewers
rakuco
makc
Summary

The update from KDE-4.14.2 in ports to 4.14.3 does not introduce any architectural changes or new ports.

The attached patchset has passed an exp-test, but a number of changes, which are not included, were done to the KDE testing repository in the last week. Namely

r10588
r10589
r10590
r10591
r10594
r10595
r10598
r10599

I think a new patch which also contains the mentioned area51 revisions should be made and considered instead of the one i made last week for the exp-run.

Test Plan

Apply the patch on a current ports repository using

svn patch /path/to/patchset

in your ${PORTSDIR} (which defaults to /usr/ports) and use the port updating tool of your choice to update the KDE installation of the system being sacrificed for testing. Alternatively just install them using

make -C ${PORTSDIR}/x11/kde4 install

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

alonso retitled this revision from to Update KDE to 4.14.3.Feb 23 2015, 4:14 PM
alonso updated this object.
alonso edited the test plan for this revision. (Show Details)
alonso added reviewers: makc, rakuco.
alonso set the repository for this revision to rP FreeBSD ports repository.
alonso added a subscriber: kde.
alonso updated this revision to Diff 3926.
makc edited edge metadata.Feb 24 2015, 9:52 AM

I think Raphael meant patch which incorporates recent changes as well (I've committed two more). Could you renew the patch and propose commit message for it (see svn log for examples).

alonso edited edge metadata.Feb 24 2015, 2:35 PM
alonso updated this revision to Diff 3950.

Updated the patchset to also contain the area51 commits mentioned in the opening post, as well as

r10600
r10601

which were both commited earlier today.

makc added a comment.Feb 24 2015, 8:35 PM

Except py-pykde4 everything looks fine. I'd like to review commit message as well.

devel/py-pykde4/Makefile
53

What's reason for reversion? This check was removed after conversion to stage-aware packaging.

rakuco edited edge metadata.Feb 24 2015, 10:48 PM

Personally, I'd commit the ALSA_EXTRA_PATCHES_OFF changes separately (and probably also backport them to the stable branch). I've also left some inline comments.

graphics/kqtquickcharts/Makefile
9 ↗(On Diff #3950)

This should be committed separately -- you can even do it yourself at your earliest convenience, approved by me.

misc/kde4-l10n-si/Makefile
13

Small nitpick: IIRC you're not supposed to end DEPRECATED messages with a period.

misc/kde4-l10n-tg/Makefile
13

Ditto.

misc/kde4-l10n-th/Makefile
14

Ditto.

sysutils/ksysguardd/files/patch-CMakeLists.txt
8

I'd like to hold this one back for now: the code just doesn't build for me here if I manually apply this patch to my kde-workspace git checkout, see the comment I added to bug 197871.

makc added a comment.Feb 25 2015, 11:05 AM
In D1950#9, @rakuco wrote:

Personally, I'd commit the ALSA_EXTRA_PATCHES_OFF changes separately (and probably also backport them to the stable branch). I've also left some inline comments.

Right, I forgot about quarterly branches.

alonso added inline comments.Feb 26 2015, 10:55 PM
devel/py-pykde4/Makefile
53

I wanted to save cycles by not copying data that won't be packaged. :D

I reverted this part of the corresponding commit in area51 revision 10609

graphics/kqtquickcharts/Makefile
9 ↗(On Diff #3950)

Commited it in PORTS revision 380058.

alonso edited edge metadata.Feb 26 2015, 11:49 PM
alonso updated this revision to Diff 4001.

Added all area51 commits recently done which address the commented issues. Also added svn properties which were missing in the last patch.

I reverted the alsa commits but left the USE_KDE4 changes of r10598 as they're independend of ALSA.

For the commit message I'd use

Update KDE SC to 4.14.3

The kde@ team presents KDE SC 4.14.3, the last planed release
of the KDE SC 4 series.

In addition to the updates provided by the KDE SC developers, this
update also addresses numerous FreeBSD and PORTS specific
issues, found and solved by the kde@ team and area51 testers,
most notorously Tobias C. Berner <tcberner@gmail.com>

Exp-run:(\t\t)https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=197751
Differential:(\t)https://reviews.freebsd.org/D1950

Should I review the commit logs and create a complete list of non kde@ contributors/collaborators that were involved in this release?

rakuco edited edge metadata.Feb 28 2015, 10:33 PM
rakuco accepted this revision.

The patch looks good to me now, thanks a lot for pushing this forward.

As for the commit message, you can just refer to the exp-run bugzilla entry in a "PR:" line. Additionally, please make sure any additional PRs touched by this commit are mentioned (the KMix one comes to mind, for example).

audio/kmix/files/patch-mixer_oss
2

When landing, it would be good if you could add some context to this patch, like the explanation makc gave in https://mail.kde.org/pipermail/kde-freebsd/2015-February/018959.html

This revision is now accepted and ready to land.Feb 28 2015, 10:33 PM
alonso edited edge metadata.Mar 11 2015, 12:31 AM
alonso updated this revision to Diff 4174.

The patch in diff 3 (4001) seems to lack Makefile changes to the alsa patching for some reason, and r10601 was missing in that patch.

The new patch should effectively match area51's current KDE subpath excepting the latest PAM/KRB5 patch of r10631.

Commit message:

Update KDE SC to 4.14.3

The kde@ team presents KDE SC 4.14.3, the last planed release
of the KDE SC 4 series.

In addition to the updates provided by the KDE SC developers, this
update also addresses numerous FreeBSD and PORTS specific
issues, found and solved by the kde@ team and area51 testers,
most notorously Tobias C. Berner <tcberner@gmail.com>

PR:(\t\t)197751
PR:(\t\t)197871
PR:(\t\t)184996
Differential:(\t)https://reviews.freebsd.org/D1950
This revision now requires review to proceed.Mar 11 2015, 12:31 AM
alonso added inline comments.Mar 11 2015, 12:37 AM
devel/dolphin-plugins/Makefile
1

I'll remove one of these before commiting

rakuco edited edge metadata.Mar 11 2015, 10:21 PM
rakuco accepted this revision.

Still looks good to me, thank you!
Don't forget the "Approved by" part of the commit message.

devel/dolphin-plugins/Makefile
1

Max seems to have removed both in area51 r10589.

This revision is now accepted and ready to land.Mar 11 2015, 10:21 PM
rakuco added a comment.Apr 5 2015, 5:50 PM

Can you close this request now that the patch has landed?

alonso closed this revision.Apr 7 2015, 1:04 PM

Patch commited in PORTS revision 381052.